//
//  MatchTypeSelectionView.swift
//  PadelClub
//
//  Created by Razmig Sarkissian on 22/03/2024.
//

import SwiftUI

struct MatchTypeSelectionView: View {
    @Binding var selectedFormat: MatchFormat
    var format: String?
    var additionalEstimationDuration: Int?
    var displayStyle: DisplayStyle = .wide
    
    var body: some View {
        NavigationLink {
            MatchFormatSelectionView(matchFormat: $selectedFormat)
                .navigationTitle("Choix du format")
                .toolbarBackground(.visible, for: .navigationBar)
        } label: {
            MatchFormatRowView(matchFormat: selectedFormat, headerLabel: format, hideExplanation: true, additionalEstimationDuration: additionalEstimationDuration, displayStyle: displayStyle)
        }
    }
}
